Summary:	Default icon themes for GNOME environment
Summary(pl.UTF-8):	Domyślne motywy ikon dla środowiska GNOME
Name:		gnome-icon-theme
Version:	3.12.0
Release:	1
License:	LGPL v3 or CC-BY-SA v3.0
Group:		Themes
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/3.12/%{name}-%{version}.tar.xz
# Source0-md5:	f14bed7f804e843189ffa7021141addd
Patch0:		%{name}-am.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gtk-update-icon-cache
BuildRequires:	icon-naming-utils >= 0.8.7
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post):	gtk-update-icon-cache
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkgconfigdir	%{_datadir}/pkgconfig

%description
Default icon themes for GNOME environment.

%description -l pl.UTF-8
Domyślne motywy ikon dla środowiska GNOME.

%prep
%setup -q
%patch0 -p0

%build
%{__glib_gettextize}
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	GTK_UPDATE_ICON_CACHE=/bin/true
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	install_sh="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

> $RPM_BUILD_ROOT%{_iconsdir}/gnome/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache gnome

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README TODO
%dir %{_iconsdir}/gnome
%{_iconsdir}/gnome/index.theme
%{_iconsdir}/gnome/[0-9]*x[0-9]*
%ghost %{_iconsdir}/gnome/icon-theme.cache
%{_pkgconfigdir}/gnome-icon-theme.pc
%changelog
* Tue Mar 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-icon-theme.git;a=log;h=master

* Tue Mar 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> 78ae938
- updated to 3.12.0

* Sat Sep 28 2013 Artur Frysiak <artur@frysiak.net> 0c0dd42
- Up to 3.10.0

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 6376390
- Update to 3.8.3

* Sat May 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> 087e8ce
- updated to 3.8.2

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 070498e
- updated to 3.8.0

* Fri Jan 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 53acb25
- License is LGPL or CC-BY-SA; package COPYING (with that general note)

* Sat Nov 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> f2a427a
- updated to 3.6.2

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> fe7207c
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Tue Sep 25 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 8a99fcb
- Updated to 3.6.0

* Thu Jun 28 2012 hawk <hawk@pld-linux.org> d91e44d
- variable name fix for .am file

* Wed Mar 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6592064
- updated to 3.4.0; merged from DEVEL

* Wed Oct 19 2011 Artur Frysiak <artur@frysiak.net> 2f64838
- up to 3.2.1.2

* Tue Oct 18 2011 Łukasz Kieś <kiesiu@pld-linux.org> 3af1710
- updated to 3.2.1

* Wed Sep 28 2011 Łukasz Kieś <kiesiu@pld-linux.org> 04e9770
- updated to 3.2.0; merged from DEVEL

* Tue Jul 12 2011 Elan Ruusamäe <glen@pld-linux.org> d1ac1ed
- cosmetic

* Tue Jul 12 2011 Elan Ruusamäe <glen@pld-linux.org> cb4e87c
- mark cachefile as ghost
- avoid building cachefile at build time that won't be used
- use binary install (faster) and preserve timestamps
- rel 2

* Wed Apr 06 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 675a4f6
- updated to 3.0.0

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> bb2b19e
- Requires(post,postun): gtk-update-icon-cache

* Mon Oct 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7934847
- don't call %update_icon_cache in postun (theme is provided by this
  package, so after removing it there is nothing to update)
- release 2

* Fri May 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 942e252
- updated to 2.30.3

